Subject: Re: Compiler option questions
From: Heinz-Juergen Oertel <[email-masked]>
To: [email-masked]
Date: Thu, 05 Apr 2001 08:18:50 +0200

You must have a special cross-compiler installation.
Standard gcc (in the cygwin distribution ) does normally not create code
other than Intel.
Please look in all the mail archives for cross-compilation.
There are more than enough you can find.
The compiler option you have to use is -S,
be careful with the case of all letters.

 Heinz

Larry wrote:
> 
> I have downloaded and installed the Cygwin package and it works despite my
> having NO knowledge of Unix or C. My objectives are VERY limited. I want to
> learn PowerPC assembly language and I thought that doing some C compiles and
> looking over the assembly source output would be helpful. So, all I want to
> do is make the GCC compiler generate PowerPC assembly code to some file that
> I can look over. In checking the documentation it seems that I can tell the
> compiler to generate code for a Powerpc machine by using the "-mpowerpc"
> parameter. It also seems that I can tell the compiler to quit after
> generating this code by using the "-s" parameter. I'm entering these options
> on the command line like:
> "gcc hello.c -mpowerpc -s", but it isn't working. Thanks for any help.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
with best regards / mit freundlichen Grüßen

   Heinz-Jürgen Oertel

===========================================
Heinz-Jürgen Oertel
port GmbH            phone +49 345 77755-0
Regensburger Str. 7c fax   +49 345 77755-20
D-06132 Halle/Saale  mailto:[email-masked]
Germany              http://www.port.de
===========================================

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple